set language 'us_english'
 
Select Convert(DateTime, '4/6/2006'),
       DateName(weekday, '4/6/2006'),
       DateName(Month, '4/6/2006')
 
set language 'Italian'
 
Select Convert(DateTime, '4/6/2006'),
       DateName(Weekday, '4/6/2006'),
       DateName(Month, '4/6/2006')
           
set language 'Simplified Chinese'
     
Select Convert(DateTime, '4/6/2006'),
       DateName(Weekday, '4/6/2006'),
       DateName(Month, '4/6/2006')

set language 'Japanese'
     
Select Convert(DateTime, '4/6/2006'),
       DateName(Weekday, '4/6/2006'),
       DateName(Month, '4/6/2006')